# compositions

Published runtime operations for compositions.

Source: 80a48ec869a59837352f4eb3165c5130cf7e9539
URL: /reference/http-compositions

## compositions.list [#compositionslist]



````http
GET /compositions
````

| Contract | Value |
| --- | --- |
| Access | Remote and local |
| Execution | read |
| Request body | none |
| Response | json |
| Query parameters | None |

## compositions.history [#compositionshistory]



````http
GET /compositions/:composition/history
````

| Contract | Value |
| --- | --- |
| Access | Remote and local |
| Execution | read |
| Request body | none |
| Response | json |
| Query parameters | `offset`, `limit` |

## compositions.update [#compositionsupdate]



````http
POST /compositions/:composition
````

| Contract | Value |
| --- | --- |
| Access | Remote and local |
| Execution | command |
| Request body | json |
| Response | json |
| Query parameters | None |
